Subject: [Sip] RE: [Simple] INVITE or BYE Clarification

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 30 Aug 2001 11:12:25 -0400

-----Original Message-----
From: Ngo, Dai (c) [mailto:[email-masked]]
Sent: Thursday, August 30, 2001 10:59 AM
To: [email-masked]'
Subject: [Simple] INVITE or BYE Clarification

>Hi All, 
>In section 3, "Overview of Operation" of the
draft-ietf-simple-presence-01.txt it states, 
>"The SUBSCRIBE message effectively establishes a session with the 
>   presence agent. As a result, the SUBSCRIBE can be record-routed, and 
>   rules for tag handling and Contact processing mirror those for 
>   INVITE. " 
>However, in section 5, "Node Behavior" of draft-ietf-sip-events-00.txt it
states, 
>"Unless noted otherwise, SUBSCRIBE and NOTIFY requests follow the 
>     same protocol rules governing the usage of tags, Route, 
>     Record-Route, Via handling, retransmission, reliability, CSeq 
>     handling, Contact handling, provisional responses, and message 
>     formatting as those defined in RFC 2543 [1] for BYE." 
>Please note the difference of INVITE in the first draft versus BYE in the
second draft. 
>Which one is correct? Please clarify. 

I believe the behavior should mirror INVITE. I believe I pointed this out to
Adam but don't recall whether he concurred. This obviously needs to be
resolved asap. Adam?

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip